com.ibm.openpages.api.trigger.events

## Class ReassignPrimaryParentEvent

- java.lang.Object
- - com.ibm.openpages.api.trigger.events.AbstractEvent
  - - com.ibm.openpages.api.trigger.events.AbstractResourceOperationEvent
    - - com.ibm.openpages.api.trigger.events.ReassignPrimaryParentEvent

-     public class ReassignPrimaryParentEvent
      extends AbstractResourceOperationEvent

  Represents an event for reassigning primary parent of a resource object.
  Since:
    8.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReassignPrimaryParentEvent(Id parentId, Id childId, TriggerPositionType position, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getChild()` Returns the single child Id for the child object of this event.
    `Id` | `getParent()` Returns the single parent Id for the parent object of this event.

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.AbstractEvent

      `getContext, getPosition, getTriggerEventType, hasOuterCreateWithRelationsEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReassignPrimaryParentEvent

          public ReassignPrimaryParentEvent(Id parentId,
                                            Id childId,
                                            TriggerPositionType position,
                                            Context context)

  - ### Method Detail

    - #### getParent

          public Id getParent()

      Returns the single parent Id for the parent object of this event. If the isSingleParent() returns false, then this will return the first Id from the list of parents.
      Returns:
        the single parent's Id or in case the event is not a single parent then the first parent Id from the list of parents.

    - #### getChild

          public Id getChild()

      Returns the single child Id for the child object of this event. If the isSingleParent() returns false, then this will return the first Id from the list of children.
      Returns:
        the single child Id or in case the event is a single parent then the first child Id from the list of children.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.